Name:			xroar
Version:		0.24
%define distsuffix	plf
Release:		%mkrel 1

Summary:	Dragon32, Dragon64 and Tandy CoCo emulator
License:	GPLv2+
Group:		Emulators
URL:		http://www.6809.org.uk/dragon/xroar.shtml
Source0:	http://www.6809.org.uk/dragon/%{name}-%{version}.tar.gz
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png

BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	libjack-devel
BuildRequires:	libsndfile-devel
BuildRequires:	gtk2-devel
%if %mdkversion >= 200700
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
%else
BuildRequires:	X11-devel
BuildRequires:	MesaGLU-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
XRoar is a Dragon32, Dragon64 and Tandy CoCo emulator.
It uses standard cassette images (".cas" files) and virtual diskettes (".dsk" 
or ".vdk" files) but has its own snapshot format at the moment (no ".pak" file 
support).

This package is in PLF because of Mandriva policy regarding emulators.

%prep

%setup -q -n %{name}-%{version}
%configure2_5x
perl -pi -e "s#share#share/games#g" Makefile

%build
make

%install
rm -rf %{buildroot}

#binary
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 %{name} %{buildroot}%{_gamesbindir}

#data dir
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}
#but is there some free software to put in there ?

#icons
install -d -m 755 %{buildroot}/%{_miconsdir}
install -m 644 %{SOURCE1} %{buildroot}/%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE2} %{buildroot}/%{_iconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_liconsdir}
install -m 644 %{SOURCE3} %{buildroot}/%{_liconsdir}/%{name}.png

#menu
install -d -m 755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
 section="More Applications/Emulators" \
 title="XRoar" \
 longtitle="Dragon32, Dragon64 and Tandy CoCo emulator" \
 command="%{_gamesbindir}/%{name}" \
 icon="%{name}.png" \
 startup_notify="true" \
 xdg="true"
EOF

#xdg menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XRoar
Comment=Dragon32, Dragon64 and Tandy CoCo emulator
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;Game;GTK;
EOF

%if %mdkversion < 200900
%post
%{update_menus}

%postun
%{clean_menus}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING* README
%attr(0755,root,games) %{_gamesbindir}/%{name}
%dir %attr(0755,root,games) %{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri Dec  3 2010 Guillaume Bedot <littletux@zarb.org> 0.24-1plf2011.0
- 0.24

* Mon Jan  5 2009 Guillaume Bedot <littletux@zarb.org> 0.22-1plf2009.1
- 0.22

* Mon Apr 28 2008 Guillaume Bedot <littletux@zarb.org> 0.21-1plf2009.0
- 0.21
- icons as sources instead of br imagemagick

* Mon Mar  3 2008 Guillaume Bedot <littletux@zarb.org> 0.20-1plf2008.1
- 0.20
- fix buildrequires and desktop file

* Wed Jun 27 2007 Guillaume Bedot <littletux@zarb.org> 0.19-1plf2008.0
- 0.19

* Wed Mar 21 2007 Guillaume Bedot <littletux@zarb.org> 0.18-1plf2007.1
- Release 0.18
- Now use the configure script, some cleanups

* Wed Aug 30 2006 Anssi Hannula <anssi@zarb.org> 0.17-2plf2007.0
- fix buildrequires

* Mon Aug 21 2006 Guillaume Bedot <littletux@zarb.org> 0.17-1plf2007.0
- 0.17
- no more TODO

* Wed Aug  9 2006 Guillaume Bedot <littletux@zarb.org> 0.16-1plf2007.0
- 0.16
- updated doc
- fixed rights issue on doc and debug files

* Sat Jul 22 2006 Guillaume Bedot <littletux@zarb.org> 0.15-1plf2007.0
- First PLF package
